Documentation

Vivox Voice and Text Chat Safe Text API


Vivox Voice and Text Chat Safe Text API


Vivox Safe Text APIs

Overview

The Vivox Safe Text APIs send batches of chat messages to the Vivox Safe Text filter for processing.
Download OpenAPI specification:

Send Bulk Messages to Filter


Run a batch of messages through the environment's adaptive chat filter (SafeText) and return each message with its filtered text and whether it was flagged.
Authorizations
basicAuth
HTTP: basicAuth
HTTP Authorization Scheme: basic

Path parameters for "Send Bulk Messages to Filter"

organizationId

string
required
Organization ID

projectId

string
required
Project ID

environmentId

string
required
Environment ID

Request body for "Send Bulk Messages to Filter"

Media Type:
application/json

messages

array[object]
required
List of messages to be sent for filtering

message

string
required
The message to be sent for filtering

session_id

string
Session id to attribute the message to. A random test id is used when omitted.

user_id

string
User id to attribute the message to. A random test id is used when omitted.

HTTP response status codes for "Send Bulk Messages to Filter":

Code samples for "Send Bulk Messages to Filter":

Request example

curl -X POST \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ -H "Content-Type: application/json" \ -d '{ "messages": [ { "message": "string", "session_id": "string", "user_id": "string" } ]}' \ "https://vivox.services.api.unity.com/safe-text/v2/organizations/{organizationId}/projects/{projectId}/environments/{environmentId}/batch"

Response example

{ "results": [ { "filtered_message": "string", "original_message": "string", "flag": true } ]}